BuildRequires: maven-plugin-tools-javadoc
BuildRequires: /proc
BuildRequires: jpackage-compat

%define namedversion 1.0-beta-1

Name:		maven-enforcer
Version:	1.0
Release:	alt2_0.2.b1.1.2jpp6
Epoch:          0
Summary:	Rule enforcer for maven

Group:		Development/Java
License:	Apache Style
URL:		http://maven.apache.org/plugins/maven-enforcer-plugin/

# svn export http://svn.apache.org/repos/asf/maven/enforcer/tags/enforcer-1.0-beta-1/ maven-enforcer
# tar czf maven-enforcer-src.tar.gz maven-enforcer
Source0:	%{name}-src.tar.gz
Source22:       plexus-javadoc-1.0.pom

Patch0:		%{name}-disableplugins.patch


BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: maven2
BuildRequires: maven2-plugin-assembly
BuildRequires: maven2-plugin-compiler
BuildRequires: maven2-plugin-install
BuildRequires: maven2-plugin-jar
BuildRequires: maven2-plugin-javadoc
BuildRequires: maven-plugin-tools
BuildRequires: maven2-plugin-resources
BuildRequires: maven2-plugin-site
BuildRequires: maven-shared-plugin-testing-harness
BuildRequires: maven-surefire
BuildRequires: maven-surefire-maven-plugin
BuildRequires: maven-surefire-provider-junit
BuildRequires: maven-shared
BuildRequires: maven-shared-archiver
BuildRequires: maven-shared-reporting-impl
BuildRequires: maven-shared-plugin-tools-api
BuildRequires: maven-shared-plugin-tools-beanshell
BuildRequires: maven-shared-plugin-tools-java
BuildRequires: maven-doxia
BuildRequires: maven-doxia-sitetools
BuildRequires: plexus-digest
BuildRequires: plexus-maven-plugin

Provides:       maven-enforcer-rule-api
Obsoletes:      maven-enforcer-rule-api <= 1.0-0.1.a3

BuildArch:		noarch
Source44: import.info

%description
This component provides the generic interfaces needed to implement custom
rules for the maven-enforcer-plugin.

%package javadoc
Summary:	Javadoc for maven-enforcer
Group:		Development/Documentation
BuildArch: noarch

%description javadoc
Java API documentation for enforcer-rule-api.

%package -n maven2-plugin-enforcer
Epoch:          1
Summary:	Plugin to enforcer various rules during maven build
Group:		Development/Java
Requires: maven2 >= 0:2.0.8-10.38
Requires: maven-enforcer
Obsoletes:	maven2-plugin <= 0:2.0.8

%description -n maven2-plugin-enforcer
The Enforcer plugin provides goals to control certain environmental constraints
such as Maven version, JDK version and OS family along with many more standard
rules and user created rules.

%prep
%setup -q -n %{name}

%patch0

%build

export MAVEN_REPO_LOCAL=`pwd`/.m2
mkdir $MAVEN_REPO_LOCAL

mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5 -e \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install:install-file -DgroupId=org.codehaus.plexus -DartifactId=plexus-javadoc  -Dversion=1.0 -Dpackaging=pom -Dfile=%{SOURCE22}

mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5 -e \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
  install:install-file -DgroupId=org.codehaus.plexus -DartifactId=plexus-javadoc  -Dversion=1.0 -Dpackaging=jar -Dfile=$(build-classpath maven2/empty-dep)

mvn-jpp -Dmaven.compile.target=1.5 -Dmaven.javadoc.source=1.5 -e \
%if 0
    -Dmaven.test.failure.ignore=true \
%endif
    -Dmaven.test.skip=true \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    install javadoc:javadoc

%install

# install jars
install -dm 755 $RPM_BUILD_ROOT/%{_javadir}/%{name}

install -p -m 644 enforcer-api/target/enforcer-api-%{namedversion}.jar \
    $RPM_BUILD_ROOT/%{_javadir}/%{name}/enforcer-api-%{namedversion}.jar
ln -s enforcer-api-%{namedversion}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}/enforcer-api.jar

install -p -m 644 enforcer-rules/target/enforcer-rules-%{namedversion}.jar \
    $RPM_BUILD_ROOT/%{_javadir}/%{name}/enforcer-rules-%{namedversion}.jar
ln -s enforcer-rules-%{namedversion}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}/enforcer-rules.jar

install -p -m 644 maven-enforcer-plugin/target/maven-enforcer-plugin-%{namedversion}.jar \
    $RPM_BUILD_ROOT/%{_javadir}/%{name}/maven-plugin-%{namedversion}.jar
ln -s maven-plugin-%{namedversion}.jar $RPM_BUILD_ROOT/%{_javadir}/%{name}/maven-plugin.jar

#install poms
install -dm 755 $RPM_BUILD_ROOT/%{_datadir}/maven2/poms
install -p -m 644 pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer.pom
install -p -m 644 enforcer-api/pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer-api.pom
install -p -m 644 enforcer-rules/pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer-rules.pom
install -p -m 644 maven-enforcer-plugin/pom.xml $RPM_BUILD_ROOT/%{_datadir}/maven2/poms/JPP.maven-enforcer-maven-plugin.pom

#depmap entries
%add_to_maven_depmap org.apache.maven.enforcer enforcer %{namedversion} JPP/maven-enforcer enforcer
%add_to_maven_depmap org.apache.maven.enforcer enforcer-api %{namedversion} JPP/maven-enforcer enforcer-api
%add_to_maven_depmap org.apache.maven.enforcer enforcer-rules %{namedversion} JPP/maven-enforcer enforcer-rules 
%add_to_maven_depmap org.apache.maven.plugins maven-enforcer-plugin %{namedversion} JPP/maven-enforcer maven-plugin

# install javadoc
install -dm 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/enforcer-api
cp -a enforcer-api/target/site/apidocs/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/enforcer-api
install -dm 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/enforcer-rules
cp -a enforcer-rules/target/site/apidocs/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/enforcer-rules
install -dm 755 $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/maven-plugin
cp -a maven-enforcer-plugin/target/site/apidocs/* $RPM_BUILD_ROOT/%{_javadocdir}/%{name}-%{version}/maven-plugin
ln -s %{name}-%{version} $RPM_BUILD_ROOT/%{_javadocdir}/%{name}

%files
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/enforcer-api*
%{_javadir}/%{name}/enforcer-rules*
%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer.pom
%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer-api.pom
%{_datadir}/maven2/poms/JPP.maven-enforcer-enforcer-rules.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%files -n maven2-plugin-enforcer
%{_javadir}/%{name}/maven-plugin*
%{_datadir}/maven2/poms/JPP.maven-enforcer-maven-plugin.pom

%changelog
* Wed Feb 23 2011 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt2_0.2.b1.1.2jpp6
- new version

* Fri Sep 03 2010 Igor Vlasenko <viy@altlinux.ru> 0:1.0-alt1_0.2.b1.1.2jpp6
- new version

